* Step 1: Obtain and install the spmap, shp2dta, and mif2dta commands
ssc install spmap
ssc install shp2dta
ssc install mif2dta

* Step 2: Find a map and a data
* We have the shape file for Russia Regions (type .shp)
* We have gks data in .xlsx

* Step 3: Translate the files 
shp2dta using "C:\Users\Alex Zyuzin\Desktop\Ru Map\admin_level_4.shp", database(rudb) coordinates(rucoord) genid(id)


* Step 4: Determine the coding used by the map
*use "C:\Users\Alex Zyuzin\Desktop\Ru Map\rudb.dta", clear
*describe
*list id name in 1/5
use "C:\Users\Alex Zyuzin\Desktop\Ru Map\russia_data.dta"


* Step 5: Merge datasets
merge 1:1 id using "C:\Users\Alex Zyuzin\Desktop\Ru Map\rudb.dta"
drop if _merge!=3

* Step 6: Draw the graph
spmap your_data using "C:\Users\Alex Zyuzin\Desktop\Ru Map\rucoord.dta", id(id) fcolor(Blues)

* Step 7: correct coordinates
use "C:\Users\Alex Zyuzin\Desktop\Ru Map\rucoord.dta", clear
replace _X = _X + 360 if _X<0
save "C:\Users\Alex Zyuzin\Desktop\Ru Map\rucoord.dta", replace

spmap var26 using "C:\Users\Alex Zyuzin\Desktop\Ru Map\rucoord.dta", id(id) fcolor(Blues)
